Bug 114492 - Kernel does not recognize LABEL option during boot
Kernel does not recognize LABEL option during boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-28 13:06 EST by Keith R. Evans
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 13:56:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith R. Evans 2004-01-28 13:06:45 EST
From Bugzilla Helper: 
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) 
 
Description of problem: 
Between kernel 141 and 149 an issue has been introduced that changes 
the way the kernel reads the file system label.  Normally, you would 
specify boot=LABEL=/ under 141, but under 149 the label command is 
not recognized.  Once I specified the filesystem device in grub.conf 
i.e, /dev/hdc7 the kernel recognized the root filesystem.  However, 
upon boot the kernel forces the filesystem to ext2 and mounts it 
read only.  This is the first time I have seen this behaviour with 
the new kernel.  Whether it is a change to the way the new kernel 
operates, I am not sure, but I assume its a bug. 
 
Kernel 2.6.1-1.149 Upgrade 
 
VFS: Mounted root (ext2 filesystem). 
EXT2-fs warning (device hdc7): ext2_fill_super: mounting ext3 
filesystem as ext2 
VFS: Mounted root (ext2 filesystem) readonly. 
 
Kernel 2.6.1-1.141 
 
VFS: Mounted root (ext2 filesystem). 
EXT3-fs: mounted filesystem with ordered data mode. 
EXT3 FS on hdc7, internal journal 
 
 
Version-Release number of selected component (if applicable): 
kernel-2.6.1-1.149  
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. boot the system 
2. 
3. 
     
 
Additional info:
Comment 1 Arjan van de Ven 2004-01-28 13:14:09 EST
the kernel never parsed LABEL, mkinitrd does that instead
Comment 2 Jeremy Katz 2004-01-28 13:39:00 EST
What version of mkinitrd do you have installed?  Did you create an
initrd when you installed the kernel?
Comment 3 Keith R. Evans 2004-01-28 21:08:01 EST
Below is a copy of my grub.conf.  If you look at the first boot 
option, you will see that I needed to specify (root=/dev/hdc7) 
instead of the normal root=LABEL=/ as specified in the following 
kernel statements.   Also if you look at the bottom of this listing, 
you will see a message indicating that, "old root was moved 
to /initrd".

The initrd version that I am using is: mkinitrd: version 3.5.15.1


# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to 
this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,1)
#          kernel /vmlinuz-version ro root=/dev/hdc7
#          initrd /initrd-version.img
#boot=/dev/hda
default=4
timeout=10
splashimage=(hd0,1)/grub/splash.xpm.gz
title Fedora Core (2.6.1-1.149)
        root (hd0,1)
        kernel /vmlinuz-2.6.1-1.149 ro root=/dev/hdc7 rhgb acpi=off
        initrd /initrd-2.6.1-1.149.img
title Fedora Core (2.6.1-1.141)
        root (hd0,1)
        kernel /vmlinuz-2.6.1-1.141 ro root=LABEL=/ rhgb acpi=off
        initrd /initrd-2.6.1-1.141.img
title Fedora Core (2.6.1-1.138)
        root (hd0,1)
        kernel /vmlinuz-2.6.1-1.138 ro root=LABEL=/ rhgb acpi=off
        initrd /initrd-2.6.1-1.138.img
title Fedora Core (2.6.1-1.131)
        root (hd0,1)
        kernel /vmlinuz-2.6.1-1.131 ro root=LABEL=/ rhgb acpi=off
        initrd /initrd-2.6.1-1.131.img
title Windows XP Professional (SP1)
        rootnoverify (hd0,0)
        chainloader +1

VFS: Mounted root (ext2 filesystem).
EXT2-fs warning (device hdc7): ext2_fill_super: mounting ext3 
filesystem as ext2

VFS: Mounted root (ext2 filesystem) readonly.
Trying to move old root to /initrd ... okay
Comment 4 Jeremy Katz 2004-01-29 00:09:25 EST
And what version of mkinitrd?
Comment 5 Keith R. Evans 2004-01-29 00:39:59 EST
The initrd version that I am using is: mkinitrd: version 3.5.15.1
Comment 6 Jeremy Katz 2004-02-09 13:56:40 EST
This is fixed in newer versions of mkinitrd
Comment 7 Keith R. Evans 2004-02-10 10:44:33 EST
Thanks.  Just want to be helpfull in getting the new kernel ready.

Note You need to log in before you can comment on or make changes to this bug.